#!/usr/bin/gnuplot

set colors classic
set term x11

set xl "D [km]"
set yl "N dN"

set xr [100.e-9:]
set yr [0.8:]
set mxtics 10
set ytics 10
set mytics 10
set logscale xy

set style line 1 lt 1
set style line 2 lt 3
set style line 3 lt 5
set style line 4 lt 7

tmp=100; set arrow from tmp,graph 0 to tmp,graph 1 lt 0
tmp= 15; set arrow from tmp,graph 0 to tmp,graph 1 lt 0
tmp=  3; set arrow from tmp,graph 0 to tmp,graph 1 lt 0

#f_family8(x) = (10**3.04947554e+00) * x**(-2.91181685e+00)  # Karin
f_family8(x) = (10**3.04947554e+00) * x**(-3.2)  # Karin; to fit IRAS 2.1deg band
f_family9(x) = (10**2.60208155e+00) * x**(-4.01398126e+00)  # Koronis2
f_family0(x) = (6e12) * (x/0.001)**(-2.7)  # MB

p "<awk '(NR>1)' sfd1.dat | ./hc_sfd.awk"        not w l  ls 1,\
  "<awk '(NR>1)' sfd1.dat_EDITED | ./hc_sfd.awk"     w lp ls 1 lw 2,\
  "<awk '(NR>1)' sfd2.dat | ./hc_sfd.awk"        not w l  ls 2,\
  "<awk '(NR>1)' sfd2.dat_EDITED | ./hc_sfd.awk"     w lp ls 2 lw 2,\
  "<awk '(NR>1)' sfd3.dat | ./hc_sfd.awk"        not w l  ls 3,\
  "<awk '(NR>1)' sfd3.dat_EDITED | ./hc_sfd.awk"     w lp ls 3 lw 2,\
  "MB_2018.dat_hc"                                   w l  ls 4,\
  "832_Karin_family.dat_hc"                          w lp ls 4,\
  "158_Koronis_family.dat_hc"                        w l  lc 'gray',\
  "../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) w l dt 2,\
  "<awk '(FNR==1){ print \"\"; }($2==1)' ../../32_MB_Agnia/*[0-9]*/tmp/0200.out | ./hc.awk" u 1:2 t "evolved MB" w lp lc 'green',\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band",\
  f_family8(x) not lc '#ffaaff' dt 2,\
  f_family9(x) not lc 'black'   dt 2,\
  f_family0(x) not lc 'gray'    dt 2,\

pa -1

set term png small
set out "gen_sfd.png"
rep


q
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../../MB/[0-9]*/tmp/4000.out | ./hc.awk" u 1:2 t "evolved MB" w l,\

  "../Cibulkova_etal_2014_MB.dat_hc"                 w l,\
  "../Gladman_etal_2009.dat" u (10.**$1):(10.**$2)   w l dt 2

